Create a transaction
curl --request POST \
--url https://api.smokeball.com/bankaccounts/{bankAccountId}/transactions \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json-patch+json' \
--header 'x-api-key: <api-key>' \
--data '
{
"matterId": "da4e7fd1-5394-4ca9-b1c6-e18c4e2bf262",
"payorId": "<string>",
"type": "Deposit",
"amount": 102.65,
"effectiveDate": "2023-11-07T05:31:56Z",
"reference": "<string>",
"reason": "<string>",
"description": "<string>",
"note": "<string>"
}
'import requests
url = "https://api.smokeball.com/bankaccounts/{bankAccountId}/transactions"
payload = {
"matterId": "da4e7fd1-5394-4ca9-b1c6-e18c4e2bf262",
"payorId": "<string>",
"type": "Deposit",
"amount": 102.65,
"effectiveDate": "2023-11-07T05:31:56Z",
"reference": "<string>",
"reason": "<string>",
"description": "<string>",
"note": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Authorization": "<api-key>",
"Content-Type": "application/json-patch+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-api-key': '<api-key>',
Authorization: '<api-key>',
'Content-Type': 'application/json-patch+json'
},
body: JSON.stringify({
matterId: 'da4e7fd1-5394-4ca9-b1c6-e18c4e2bf262',
payorId: '<string>',
type: 'Deposit',
amount: 102.65,
effectiveDate: '2023-11-07T05:31:56Z',
reference: '<string>',
reason: '<string>',
description: '<string>',
note: '<string>'
})
};
fetch('https://api.smokeball.com/bankaccounts/{bankAccountId}/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Bank Accounts
Create a transaction
Creates a transaction.
POST
/
bankaccounts
/
{bankAccountId}
/
transactions
Create a transaction
Path Parameters
Body
application/json-patch+jsonapplication/jsonapplication/*+json
Unique identifier of the associated matter.
Example:
"da4e7fd1-5394-4ca9-b1c6-e18c4e2bf262"
Unique identifier of the associated contact.
The type of the transaction.
Possible values: Deposit.
Example:
"Deposit"
The amount of the transaction in dollars. Limited to 2 decimal places (cents).
Example:
102.65
Date of the transaction.
Reference for the transaction.
Reason for the transaction.
Description of the transaction.
Note for the transaction (for internal use).
āI